Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.dialogs
Class ControlEnableState

    java.lang.Object
      org.eclipse.jface.dialogs.ControlEnableState

public class ControlEnableState
extends Object

Helper class to save the enable/disable state of a control including all its descendent controls.

Constructor Summary
`protected` | `ControlEnableState(Control w)` Creates a new object and saves in it the current enable/disable state of the given control and its descendents; the controls that are saved are also disabled.
`protected` | `ControlEnableState(Control w, List exceptions)` Creates a new object and saves in it the current enable/disable state of the given control and its descendents except for the given list of exception cases; the controls that are saved are also disabled.

Method Summary
`static ControlEnableState` | `disable(Control w)` Saves the current enable/disable state of the given control and its descendents in the returned object; the controls are all disabled.
`static ControlEnableState` | `disable(Control w, List exceptions)` Saves the current enable/disable state of the given control and its descendents in the returned object except for the given list of exception cases; the controls that are saved are also disabled.
`void` | `restore()` Restores the window enable state saved in this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ControlEnableState

    protected ControlEnableState(Control w)

  Creates a new object and saves in it the current enable/disable state of the given control and its descendents; the controls that are saved are also disabled.

Parameters:
  `w` - the control

### ControlEnableState

    protected ControlEnableState(Control w,
                                 List exceptions)

  Creates a new object and saves in it the current enable/disable state of the given control and its descendents except for the given list of exception cases; the controls that are saved are also disabled.

Parameters:
  `w` - the control
  `exceptions` - the list of controls to not disable (element type: `Control`), or `null` if none

Method Detail

### disable

    public static ControlEnableState disable(Control w)

  Saves the current enable/disable state of the given control and its descendents in the returned object; the controls are all disabled.

  Parameters:
    `w` - the control
  Returns:
    an object capturing the enable/disable state

### disable

    public static ControlEnableState disable(Control w,
                                             List exceptions)

  Saves the current enable/disable state of the given control and its descendents in the returned object except for the given list of exception cases; the controls that are saved are also disabled.

  Parameters:
    `w` - the control
    `exceptions` - the list of controls to not disable (element type: `Control`)
  Returns:
    an object capturing the enable/disable state

### restore

    public void restore()

  Restores the window enable state saved in this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.